BasicRomBank Class Reference

`#include <SystemROMBanks.h>`

Inheritance diagram for BasicRomBank:

## Public Member Functions

void | set (const uint8_t *basic)
void | reset ()
void | installTrap (uint_least16_t addr)
void | setSubtune (uint8_t tune)
Public Member Functions inherited from romBank< 0x2000 >
void | set (const uint8_t *source)
void | poke (uint_least16_t address SID_UNUSED, uint8_t value SID_UNUSED)
uint8_t | peek (uint_least16_t address)

## Additional Inherited Members

Protected Member Functions inherited from romBank< 0x2000 >
void | setVal (uint_least16_t address, uint8_t val)
uint8_t | getVal (uint_least16_t address) const
void * | getPtr (uint_least16_t address) const
Protected Attributes inherited from romBank< 0x2000 >
uint8_t | rom [N]
| The ROM array.

## Detailed Description

BASIC ROM

Located at $A000-$BFFF

## Member Function Documentation

## installTrap()

void BasicRomBank::installTrap | ( | uint_least16_t | addr | ) |

inline

Set BASIC Warm Start address.

Parameters

  addr |

The documentation for this class was generated from the following file:

- SystemROMBanks.h